Get NPS analytics
curl --request GET \
--url https://app.msportal.ai/api/public/v1/surveys/nps/{id}/analytics \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.msportal.ai/api/public/v1/surveys/nps/{id}/analytics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.msportal.ai/api/public/v1/surveys/nps/{id}/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"surveyId": "<string>",
"periodStart": "2023-11-07T05:31:56Z",
"periodEnd": "2023-11-07T05:31:56Z",
"npsScore": 123,
"averageScore": 123,
"totalResponses": 123,
"promotersCount": 123,
"passivesCount": 123,
"detractorsCount": 123,
"surveysSent": 123,
"responseRate": 123,
"companyId": "<string>",
"companyName": "<string>"
}
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}NPS Surveys
Get NPS analytics
Retrieve NPS analytics for a specific survey. Use live=true to calculate real-time analytics.
GET
/
api
/
public
/
v1
/
surveys
/
nps
/
{id}
/
analytics
Get NPS analytics
Authorizations
Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.
Path Parameters
Survey ID
Query Parameters
Filter by period type
Available options:
daily, weekly, monthly, quarterly, yearly, all_time Filter by company ID
Filter by period start date (from)
Filter by period end date (to)
Calculate live analytics instead of using stored data
Response
NPS analytics data
- object
- object[]
Show child attributes
Show child attributes
Was this page helpful?
⌘I